Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.deployment
Interface AspectDeployerMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean, org.jboss.deployment.SubDeployerMBean

All Known Implementing Classes:
  AspectDeployer

public interface AspectDeployerMBean
extends org.jboss.deployment.SubDeployerMBean

MBean interface.

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`boolean` | `accepts(org.jboss.deployment.DeploymentInfo di)` Returns true if this deployer can deploy the given DeploymentInfo.
`void` | `create(org.jboss.deployment.DeploymentInfo di)` Describe `create` method here.
`void` | `destroy(org.jboss.deployment.DeploymentInfo di)` Describe `destroy` method here.
`void` | `init(org.jboss.deployment.DeploymentInfo di)` Describe `init` method here.
`void` | `start(org.jboss.deployment.DeploymentInfo di)` The `start` method starts all the mbeans in this DeploymentInfo..
`void` | `stop(org.jboss.deployment.DeploymentInfo di)` Undeploys the package at the url string specified.

Methods inherited from interface org.jboss.deployment.SubDeployerMBean
`getRelativeOrder, getSuffixes, setRelativeOrder, setSuffixes`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### accepts

    public boolean accepts(org.jboss.deployment.DeploymentInfo di)

  Returns true if this deployer can deploy the given DeploymentInfo.

  Specified by:
    `accepts` in interface `org.jboss.deployment.SubDeployerMBean`
  Returns:
    True if this deployer can deploy the given DeploymentInfo.

### init

    public void init(org.jboss.deployment.DeploymentInfo di)
              throws org.jboss.deployment.DeploymentException

  Describe `init` method here.

  Specified by:
    `init` in interface `org.jboss.deployment.SubDeployerMBean`
  Parameters:
    `di` - a `DeploymentInfo` value
  Throws:
    `DeploymentException` - if an error occurs

### create

    public void create(org.jboss.deployment.DeploymentInfo di)
                throws org.jboss.deployment.DeploymentException

  Describe `create` method here.

  Specified by:
    `create` in interface `org.jboss.deployment.SubDeployerMBean`
  Parameters:
    `di` - a `DeploymentInfo` value
  Throws:
    `DeploymentException` - if an error occurs

### start

    public void start(org.jboss.deployment.DeploymentInfo di)
               throws org.jboss.deployment.DeploymentException

  The `start` method starts all the mbeans in this DeploymentInfo..

  Specified by:
    `start` in interface `org.jboss.deployment.SubDeployerMBean`
  Parameters:
    `di` - a `DeploymentInfo` value
  Throws:
    `DeploymentException` - if an error occurs

### stop

    public void stop(org.jboss.deployment.DeploymentInfo di)

  Undeploys the package at the url string specified. This will: Undeploy packages depending on this one. Stop, destroy, and unregister all the specified mbeans Unload this package and packages this package deployed via the classpath tag. Keep track of packages depending on this one that we undeployed so that they can be redeployed should this one be redeployed.

  Specified by:
    `stop` in interface `org.jboss.deployment.SubDeployerMBean`
  Throws:
    `DeploymentException` - Thrown if the package could not be undeployed

### destroy

    public void destroy(org.jboss.deployment.DeploymentInfo di)

  Describe `destroy` method here.

  Specified by:
    `destroy` in interface `org.jboss.deployment.SubDeployerMBean`
  Throws:
    `DeploymentException` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.